PySpark Plaso Release 2019 A tool for distributed extraction of timestamps from various files using extractors adapted from the Plaso engine to Apache Spark.

Public Member Functions | Public Attributes | List of all members
plaso.tarzan.mediator.buffered_mediator.BufferedMediator Class Reference
Inheritance diagram for plaso.tarzan.mediator.buffered_mediator.BufferedMediator:
[legend]
Collaboration diagram for plaso.tarzan.mediator.buffered_mediator.BufferedMediator:
[legend]

## Public Member Functions
def | __init__ (self, buffer_queue=None)
def | ProduceEventWithEventData (self, event, event_data)
def | ProduceExtractionError (self, message, path_spec=None)
def | get_buffer_queue (self)
def | flush_buffer (self, exception_on_error=False)
Public Member Functions inherited from plaso.tarzan.mediator.mediator.Mediator
def | __init__ (self)
def | SetFileEntry (self, file_entry)
def | GetFileEntry (self)
def | GetFilename (self)
def | AppendToParserChain (self, plugin_or_parser)
def | PopFromParserChain (self)
def | AddEventAttribute (self, attribute_name, attribute_value)
def | RemoveEventAttribute (self, attribute_name)
def | abort (self)
def | temporary_directory (self)

## Public Attributes
| buffer_queue
| Event
| Error
Public Attributes inherited from plaso.tarzan.mediator.mediator.Mediator
| file_entry
| parser_chain_components
| collection_filters_helper
| codepage

## Detailed Description

    Tarzan mediator putting events into a buffer.

## Constructor & Destructor Documentation

## ◆ __init__()

def plaso.tarzan.mediator.buffered_mediator.BufferedMediator.__init__ | ( |  | self,
|  |  | buffer_queue = `None`
| ) |  |

    Initialize the mediator including its queue if not given.

## Member Function Documentation

## ◆ flush_buffer()

def plaso.tarzan.mediator.buffered_mediator.BufferedMediator.flush_buffer | ( |  | self,
|  |  | exception_on_error = `False`
| ) |  |

    Flush the buffer into a list of events and return the list.
    :param exception_on_error: True to raise an exception of an error event.
    :return: the list

## ◆ get_buffer_queue()

def plaso.tarzan.mediator.buffered_mediator.BufferedMediator.get_buffer_queue | ( |  | self | ) |

    Get the queue of buffered events.
    :return: the queue

## ◆ ProduceEventWithEventData()

def plaso.tarzan.mediator.buffered_mediator.BufferedMediator.ProduceEventWithEventData | ( |  | self,
|  |  | event,
|  |  | event_data
| ) |  |

    Produce a particular event with its data.
    :param event: the event
    :param event_data: the event's data

Reimplemented from plaso.tarzan.mediator.mediator.Mediator.

## ◆ ProduceExtractionError()

def plaso.tarzan.mediator.buffered_mediator.BufferedMediator.ProduceExtractionError | ( |  | self,
|  |  | message,
|  |  | path_spec = `None`
| ) |  |

    Produce an extraction error with a particular message and a path.
    :param message: the error message
    :param path_spec: the erroneous path

Reimplemented from plaso.tarzan.mediator.mediator.Mediator.

## Member Data Documentation

## ◆ buffer_queue

plaso.tarzan.mediator.buffered_mediator.BufferedMediator.buffer_queue

## ◆ Error

plaso.tarzan.mediator.buffered_mediator.BufferedMediator.Error

## ◆ Event

plaso.tarzan.mediator.buffered_mediator.BufferedMediator.Event

The documentation for this class was generated from the following file:

- /home/rychly/repos/pyspark-plaso/src/plaso/tarzan/mediator/buffered_mediator.py